Category: Estimated time: 0.00 hour
Target version:
Description

jwienke@augit:~/workspace/RST/build/python/sandbox/dist$
PYTHONPATH=../../stable/dist/rst-0.0.0-py2.6.egg:rstsandbox-0.0.0-py2.6.egg:$PYTHONPATH python
Python 2.6.5 (r265:79063, Apr 16 2010, 13:57:41) 
[GCC 4.4.3] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import rstsandbox.generic.MethodCall_pb2
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "build/bdist.linux-x86_64/egg/rstsandbox/generic/MethodCall_pb2.py", line 40, in <module>
ImportError: No module named generic.Value_pb2

Associated revisions
Revision 8b77036b - 12/07/2011 04:41 PM - J. Wienke

try to fix #747. However, not sure if this is a real fix for  the problem or just a fix of the previous commit to this file.

refs #747

History
#1 - 12/07/2011 04:43 PM - J. Wienke
- Status changed from New to Feedback
- Assignee set to J. Wienke
- % Done changed from 0 to 50

Can you test it again with trunk?

Please note, after importing rstsandbox you can access the modules directly in the rst package, e.g. like rst.generic.MethodCall_pb2.MethodCall. This
is the preferred way o accessing them as your client code will not break when code is transferred from sandbox to stable.

#2 - 12/08/2011 10:24 AM - S. Schneider
- Status changed from Feedback to Resolved
- % Done changed from 50 to 100

It's working.
